/**Begin D:\DBA\1.4\PDM_UPGRADE\PDM1\BCM_table.sql **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BCM_TASKCREATE_DIS') 
 CREATE TABLE T_BCM_TASKCREATE_DIS (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(200) DEFAULT ' ' NOT NULL,
FISNOTLEAF CHAR(1) DEFAULT '0' NOT NULL,
FMEMBERID BIGINT DEFAULT 0 NOT NULL,
FGROUPID VARCHAR(50) DEFAULT ' ' NOT NULL,
FTASKTEMPLATEID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BCM_TASKRECORD_TPL') 
 CREATE TABLE T_BCM_TASKRECORD_TPL (
FID BIGINT DEFAULT 0 NOT NULL,
FMODELID BIGINT DEFAULT 0 NOT NULL,
FENTITYID BIGINT DEFAULT 0 NOT NULL,
FPROPERTY BIGINT DEFAULT 0 NOT NULL,
FPROPERTYVALUE BIGINT DEFAULT 0 NOT NULL,
FRANGE VARCHAR(30) DEFAULT ' ' NOT NULL,
FEFFECTWAY VARCHAR(2) DEFAULT '20' NOT NULL,
FACTIVITYID BIGINT DEFAULT 0 NOT NULL,
FTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTEMPLATEID BIGINT DEFAULT 0 NOT NULL
);



/**End D:\DBA\1.4\PDM_UPGRADE\PDM1\BCM_table.sql **/
